Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfEffectType

    java.lang.Object
      java.lang.Enum<OdfEffectType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfEffectType

All Implemented Interfaces:
  Serializable, Comparable<OdfEffectType>

    public enum OdfEffectType

extends Enum<OdfEffectType>

DOM implementation of OpenDocument attribute presentation:effect.

Enum Constant Summary
`APPEAR`
`CHECKERBOARD`
`CLOSE`
`DISSOLVE`
`FADE`
`HIDE`
`LASER`
`LINES`
`MOVE`
`MOVE_SHORT`
`NONE`
`OPEN`
`RANDOM`
`ROTATE`
`STRETCH`
`STRIPES`
`WAVYLINE`

Method Summary
`static OdfEffectType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfEffectType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfEffectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfEffectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISSOLVE

    public static final OdfEffectType DISSOLVE

### MOVE

    public static final OdfEffectType MOVE

### LINES

    public static final OdfEffectType LINES

### LASER

    public static final OdfEffectType LASER

### NONE

    public static final OdfEffectType NONE

### STRETCH

    public static final OdfEffectType STRETCH

### HIDE

    public static final OdfEffectType HIDE

### WAVYLINE

    public static final OdfEffectType WAVYLINE

### OPEN

    public static final OdfEffectType OPEN

### CLOSE

    public static final OdfEffectType CLOSE

### MOVE_SHORT

    public static final OdfEffectType MOVE_SHORT

### STRIPES

    public static final OdfEffectType STRIPES

### RANDOM

    public static final OdfEffectType RANDOM

### ROTATE

    public static final OdfEffectType ROTATE

### APPEAR

    public static final OdfEffectType APPEAR

### FADE

    public static final OdfEffectType FADE

### CHECKERBOARD

    public static final OdfEffectType CHECKERBOARD

Method Detail

### values

    public static OdfEffectType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfEffectType c : OdfEffectType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfEffectType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfEffectType>`
  Returns:
    return the name of OdfEffectType

### toString

    public static String toString(OdfEffectType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfEffectType, see presentation:effect
  Returns:
    return the name of OdfEffectType

### enumValueOf

    public static OdfEffectType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfEffectType
  Returns:
    return the constant of OdfEffectType, see presentation:effect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.